Thank you!

CLOSE

I am unable to update my foreign-language SkyScout! Where can I find SkyScout updates for version 1.30 in languages other than English?